// Equinox Desktop Environment - panel buttons  
// Copyright (C) 2000-2002 Martin Pekar
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

#ifndef panelbutton_h
#define panelbutton_h

#include <efltk/Fl.h>
#include <efltk/Fl_Window.h>
#include <efltk/x.h>
#include <efltk/Fl_Menu_Button.h>
#include <efltk/Fl_Item_Group.h>
#include <efltk/Fl_Item.h>

class PanelButton : public Fl_Menu_Button 
{
public:
    PanelButton(int, int, int, int, Fl_Boxtype, Fl_Boxtype, const char *l=0);
    void calculate_height();

    virtual void draw();
    virtual int popup();

    virtual void preferred_size(int &w, int &h) const { w=this->w(); }

private:
    int Height;
    Fl_Boxtype up, down;
};

#endif
