# Note that this is NOT a relocatable package
# rpm -bb ede-core.spec ; /usr/src/RPM/SPECS
%define ver      	1.0
%define RELEASE		1
%define rel      	%{?CUSTOM_RELEASE} %{!?CUSTOM_RELEASE:%RELEASE}
%define localstatedir   /var/lib

Summary:         The core programs for the Equinox Desktop Environment.
Name: 		 ede-core
Version: 	 %ver
Release: 	 %rel
Copyright: 	 GPL
Group: 		 System Environment/Base
Source:          ede-core-%{ver}.tar.gz
BuildRoot: 	 /var/tmp/%{name}-%{version}-root
URL: 		 http://sourceforge.net/projects/ede
Prereq: 	 /sbin/install-info
Requires:        efltk >= 2.0.4

%description
Equinox Desktop Environment (EDE) is desktop environment - the piece of
software that enables you to launch applications in a convenient way,
show what windows you have opened, manages icons and background of your
desktop, etc. This core package provides panel with tasklist, clock,
load status; icon manager that take care of your icons on background,
control panel for easy access to your settings, helpbook for reading
documentation, color configuration, panel configuration, display configuration
utility, menu editor, icons configuration, tips, time/date and timezone
configuration and ofcourse window manager that manages your windows with
config utility.

%prep
%setup -q

%build
./build.gcc --prefix=%{_prefix} 

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT%{_prefix} install
 
%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post
#/sbin/ldconfig

%postun
#/sbin/ldconfig

%files
%doc AUTHORS COPYING ChangeLog NEWS README
%defattr (-, root, root)
%{_bindir}/*
#%{_sysconfdir}/
%{_datadir}/locale/*/*/*
%{_datadir}/ede/*
%{_datadir}/ede/.ede/*

%changelog

