#ifndef EHELP_H_
#define EHELP_H_

#include <stdlib.h>

#include <efltk/Fl.h>
#include <efltk/Fl_Window.h>
#include <efltk/Fl_Menu_Bar.h>
#include <efltk/Fl_Item_Group.h>
#include <efltk/Fl_Item.h>
#include <efltk/Fl_Group.h>
#include <efltk/Fl_Button.h>

#include <efltk/Fl_File_Dialog.h>
#include <efltk/Fl_Locale.h>
#include <efltk/Fl_Simple_Html.h>

void init_list();
void clear_on_exit();
void load_file(const char *f);
void previous_url();
void next_url();
void open_file();
void cb_html_link();

// Method add/remove from history
void push_prev(const char *url);
char *pop_prev();

void push_next(const char *url);
char *pop_next();

extern char *prev_hist[10];
extern char *next_hist[10];


#endif
